import { MessageOptions } from '@nestjstools/messaging';
import { Middleware } from '@nestjstools/messaging';
export declare class AmqpMessageOptions implements MessageOptions {
    readonly exchangeName: string | undefined;
    readonly routingKey: string | undefined;
    readonly middlewares: Middleware[];
    readonly headers: {
        [key: string]: string;
    };
    readonly avoidErrorsWhenNotExistedHandler: boolean;
    constructor(exchangeName?: string | undefined, routingKey?: string | undefined, middlewares?: Middleware[], headers?: {
        [key: string]: string;
    }, avoidErrorsWhenNotExistedHandler?: boolean);
}
