"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AmqpMessageBusFactory = void 0;
const common_1 = require("@nestjs/common");
const amqp_message_bus_1 = require("./amqp-message.bus");
const amqp_channel_1 = require("../channel/amqp.channel");
const messaging_1 = require("@nestjstools/messaging");
let AmqpMessageBusFactory = class AmqpMessageBusFactory {
    create(channel) {
        return new amqp_message_bus_1.AmqpMessageBus(channel);
    }
};
exports.AmqpMessageBusFactory = AmqpMessageBusFactory;
exports.AmqpMessageBusFactory = AmqpMessageBusFactory = __decorate([
    (0, common_1.Injectable)(),
    (0, messaging_1.MessageBusFactory)(amqp_channel_1.AmqpChannel)
], AmqpMessageBusFactory);
//# sourceMappingURL=amqp-message-bus-factory.js.map